curl --request GET \
--url https://api.openai.com/v1/organization/admin_api_keys \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "organization.admin_api_key",
"id": "key_abc",
"name": "Administration Key",
"redacted_value": "sk-admin...def",
"value": "sk-admin-1234abcd",
"created_at": 1711471533,
"owner": {
"type": "service_account",
"id": "sa_456",
"name": "My Service Account",
"created_at": 1711471533,
"role": "member"
}
}
],
"has_more": false,
"first_id": "key_abc",
"last_id": "key_xyz"
}Retrieve a paginated list of organization admin API keys.
curl --request GET \
--url https://api.openai.com/v1/organization/admin_api_keys \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "organization.admin_api_key",
"id": "key_abc",
"name": "Administration Key",
"redacted_value": "sk-admin...def",
"value": "sk-admin-1234abcd",
"created_at": 1711471533,
"owner": {
"type": "service_account",
"id": "sa_456",
"name": "My Service Account",
"created_at": 1711471533,
"role": "member"
}
}
],
"has_more": false,
"first_id": "key_abc",
"last_id": "key_xyz"
}Documentation Index
Fetch the complete documentation index at: https://openai-hd4n6.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Return keys with IDs that come after this ID in the pagination order.
Order results by creation time, ascending or descending.
asc, desc Maximum number of keys to return.
Was this page helpful?